Skip to content

Initiate a test call with voice AI agent configuration

POST
/voice/test
object
phoneNumber
required
string
config
required
object
instructions
required
string
firstAction
required
string
Allowed values: speak wait
greeting
string
aiModel
required
string
sttConfig
object
provider
required
string
Allowed values: deepgram openai assemblyai
model
string
language
string
ttsConfig
object
provider
required
string
Allowed values: elevenlabs cartesia openai
voiceId
string
model
string
speed
number
tools
Array<object>
object
name
required
string
description
required
string
parameters
required
object
key
additional properties
temperature
number
maxTokens
number
maxCallLengthSeconds
number
silenceTimeoutSeconds
number
recordingEnabled
boolean
endpointingMode
string
Allowed values: smart vad
minEndOfTurnSilenceMs
number
allowInterruptions
boolean
minInterruptionDurationMs
number

Successful response

object
callControlId
required
string
websocket
required
string

Bad Request - validation errors, invalid input

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
provider

Provider that caused the error (e.g. telnyx, ses).

string
providerCode

Provider-specific error code.

string

Unauthorized

Payment Required - usage limits exceeded

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
provider

Provider that caused the error (e.g. telnyx, ses).

string
providerCode

Provider-specific error code.

string

Internal Server Error

Bad Gateway - provider error

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
provider

Provider that caused the error (e.g. telnyx, ses).

string
providerCode

Provider-specific error code.

string